Loading...
Searching...
No Matches
class.c File Reference
`#include <stdbool.h>`
`#include <grass/glocale.h>`
`#include <grass/arraystats.h>`
Include dependency graph for class.c:

Go to the source code of this file.

## Functions

int | AS_option_to_algorithm (const struct Option *option)
double | AS_class_apply_algorithm (int algo, const double data[], int nrec, int *nbreaks, double classbreaks[])
int | AS_class_interval (const double data[], int count, int nbreaks, double classbreaks[])
double | AS_class_stdev (const double data[], int count, int nbreaks, double classbreaks[])
int | AS_class_quant (const double data[], int count, int nbreaks, double classbreaks[])
int | AS_class_equiprob (const double data[], int count, int *nbreaks, double classbreaks[])
double | AS_class_discont (const double data[], int count, int nbreaks, double classbreaks[])
int | AS_class_frequencies (const double data[], int count, int nbreaks, double classbreaks[], int frequencies[])

## Function Documentation

## AS_class_apply_algorithm()

double AS_class_apply_algorithm | ( | int | algo,
|  | const double | data[],
|  | int | nrec,
|  | int * | nbreaks,
|  | double | classbreaks[] )

Definition at line 25 of file class.c.

References AS_class_discont(), AS_class_equiprob(), AS_class_interval(), AS_class_quant(), AS_class_stdev(), and G_fatal_error().

## AS_class_discont()

double AS_class_discont | ( | const double | data[],
|  | int | count,
|  | int | nbreaks,
|  | double | classbreaks[] )

Definition at line 272 of file class.c.

References AS_eqdrt(), b, count, G_free(), max, min, and x.

Referenced by AS_class_apply_algorithm().

## AS_class_equiprob()

int AS_class_equiprob | ( | const double | data[],
|  | int | count,
|  | int * | nbreaks,
|  | double | classbreaks[] )

Definition at line 152 of file class.c.

References AS_basic_stats(), count, G_fatal_error(), G_free(), and G_warning().

Referenced by AS_class_apply_algorithm().

## AS_class_frequencies()

int AS_class_frequencies | ( | const double | data[],
|  | int | count,
|  | int | nbreaks,
|  | double | classbreaks[],
|  | int | frequencies[] )

Definition at line 437 of file class.c.

References count.

## AS_class_interval()

int AS_class_interval | ( | const double | data[],
|  | int | count,
|  | int | nbreaks,
|  | double | classbreaks[] )

Definition at line 56 of file class.c.

References count, max, and min.

Referenced by AS_class_apply_algorithm().

## AS_class_quant()

int AS_class_quant | ( | const double | data[],
|  | int | count,
|  | int | nbreaks,
|  | double | classbreaks[] )

Definition at line 139 of file class.c.

References count.

Referenced by AS_class_apply_algorithm().

## AS_class_stdev()

double AS_class_stdev | ( | const double | data[],
|  | int | count,
|  | int | nbreaks,
|  | double | classbreaks[] )

Definition at line 74 of file class.c.

References AS_basic_stats(), and count.

Referenced by AS_class_apply_algorithm().

## AS_option_to_algorithm()

int AS_option_to_algorithm | ( | const struct Option * | option | ) |

Definition at line 9 of file class.c.

References G_fatal_error(), and G_strcasecmp().